#!/usr/bin/perl
#
# Genera el indice de icons y su extension asociada
#

my $dir = ".";

if ($ARGV[0]) {
	$dir = $ARGV[0];
}

opendir (DIR, $dir) || die "can't open $dir: $!";

@_ = grep {/png/} readdir(DIR);

foreach (@_) { 
	$file = $_;
	s/gnome-mime-//g;
	s/\.png//g;

	($type, $extension) = split (/-/);

	if ($extension) {
		print $extension, ":", $file, "\n";
	} else {
		print "$type", ":", $file, "\n";
	}
};

closedir (DIR);
